Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(212)

Unified Diff: tool/travis.sh

Issue 2939773003: Initialize dart-lang/tuple with the tuple package at v1.0.1. (Closed)
Patch Set: Created 3 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/tuple_test.dart ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/travis.sh
diff --git a/tool/travis.sh b/tool/travis.sh
new file mode 100755
index 0000000000000000000000000000000000000000..61c101b788be228dc1d56e2b30a3efcc23f4fa46
--- /dev/null
+++ b/tool/travis.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (c) 2015, Google Inc. Please see the AUTHORS file for details.
+# All rights reserved. Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# Fast fail the script on failures.
+set -e
+
+# Verify that the libraries are error and warning-free.
+echo "Running dartanalyzer..."
+libs=$(find lib -maxdepth 1 -type f -name '*.dart')
+dartanalyzer $DARTANALYZER_FLAGS $libs test/all_tests.dart
+
+# Run the tests.
+echo "Running tests..."
+pub run test:test
+
+# Gather and send coverage data.
+if [ "$REPO_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
+ echo "Collecting coverage..."
+ pub global activate dart_coveralls
+ pub global run dart_coveralls report \
+ --token $REPO_TOKEN \
+ --retry 2 \
+ --exclude-test-files \
+ test/all_tests.dart
+fi
« no previous file with comments | « test/tuple_test.dart ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698